org.apache.fop.render.bitmap

## Class MultiFileRenderingUtil

- java.lang.Object
- - org.apache.fop.render.bitmap.MultiFileRenderingUtil

-     public class MultiFileRenderingUtil
      extends Object

  This utility class helps renderers who generate one file per page, like the PNG renderer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiFileRenderingUtil(String ext, File outputFile)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputStream` | `createOutputStream(int pageNumber)` Creates a new `OutputStream` for the given page number.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiFileRenderingUtil

          public MultiFileRenderingUtil(String ext,
                                        File outputFile)

      Creates a new instance.

      The file name must not have an extension, or must have extension "png", and its last period must not be at the start (empty file prefix).

      Parameters:
        `ext` - the extension to be used
        `outputFile` - the output file or null if there's no such information

  - ### Method Detail

    - #### createOutputStream

          public OutputStream createOutputStream(int pageNumber)
                                          throws IOException

      Creates a new `OutputStream` for the given page number.
      Parameters:
        `pageNumber` - the page number (zero-based)
      Returns:
        the output stream for the page
      Throws:
        `IOException` - if there's an I/O error while setting up the output stream

Copyright © 2023 Apache Software Foundation. All rights reserved.